import React from "react";
import { type SelectLegacyProps, type SelectRebuiltProps } from "./Select.types";
export { Option } from "./Option";
export type SelectShimProps = SelectLegacyProps | SelectRebuiltProps;
export declare function Select(props: SelectShimProps): React.JSX.Element;
export declare namespace Select {
    var Option: typeof import("./Option").Option;
    var OptionGroup: typeof import("./OptionGroup").OptionGroup;
}
export type { SelectRebuiltProps, SelectLegacyProps };
